CREATE OR REPLACE VIEW V_SALDKONT_ZAP AS (
  SELECT SZ.ID_SALDKONT_ZAP, SZ.ID_SALDKONT, SZ.ID_PL_SALDKONT, SZ.ZNESEK, SZ.ID_EXCHANGE, SZ.DATUM_SPREMEMBE, SZ.TECAJ, SZ.ZNESEK_DAVKA,
  SDP.DATUM AS SALDKONT_PAY_DATUM, SDP.N_RACUNA AS SALDKONT_PAY_N_RACUNA, SDP.TECAJ_PRERACUN AS SALDKONT_PAY_TECAJ_PRERACUN, SDP.VRSTA_RACUNA AS SALDKONT_PAY_VRSTA_RACUNA, SDP.N_KNJIZBE AS SALDKONT_PAY_N_KNJIZBE,
  CASE WHEN SDP.VALUTA_RN = (SELECT DOMACAVALUTA FROM PARAM) THEN 'Y' ELSE 'N' END AS SALDKONT_PAY_DOMESTIC, SDP.STORNO AS SALDKONT_PAY_STORNO,
  RDP.ZNESEK AS RACUN_DATA_PAY_ZNESEK, RDP.NETO AS RACUN_DATA_PAY_NETO, RDP.ZN_DAVKA AS RACUN_DATA_PAY_ZN_DAVKA, RDP.DAV_STOPNJA AS RACUN_DATA_PAY_DAV_STOPNJA,
  KP.IME AS KUPCI_PAY_IME, KP.PRIIMEK AS KUPCI_PAY_PRIIMEK, KP.NASLOV AS KUPCI_PAY_NASLOV, KP.POSTA AS KUPCI_PAY_POSTA, KP.MESTO AS KUPCI_PAY_MESTO, KP.DAVCNA_STEVILKA AS KUPCI_PAY_DAVCNA_STEVILKA,
  KP.SIFRA_DOB AS KUPCI_PAY_SIFRA_DOB, KNDP.OZNAKA AS KUPCI_PAY_NDRZAVA_OZNAKA,
  SDI.DATUM AS SALDKONT_INV_DATUM, SDI.N_RACUNA AS SALDKONT_INV_N_RACUNA, SDI.VRSTA_RACUNA AS SALDKONT_INV_VRSTA_RACUNA, SDI.ID_BATCH AS SALDKONT_INV_ID_BATCH
  FROM SALDKONT_ZAP SZ
  LEFT OUTER JOIN SALDKONT SDP ON SDP.ID_SALDKONT = SZ.ID_PL_SALDKONT 
  LEFT OUTER JOIN KUPCI KP ON KP.ID = SDP.ID_KUPCA
  LEFT OUTER JOIN NNDRZAVE KNDP ON KNDP.SIFRA = KP.NDRZAVA
  LEFT OUTER JOIN RACUN_DATA RDP ON RDP.ID_SALDKONT = SZ.ID_PL_SALDKONT
  LEFT OUTER JOIN SALDKONT SDI ON SDI.ID_SALDKONT = SZ.ID_SALDKONT
  WHERE RDP.ZAP_ST IS NULL OR RDP.ZAP_ST = 1
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1284, SYSDATE, '5.5', 1204, 'VSaldkontZap')
;
