DROP VIEW V_KUPCI_PLOVILA;

CREATE OR REPLACE VIEW V_KUPCI_PLOVILA AS (
  SELECT CONCAT(CONCAT(K.ID, '-'), P.ID) AS KUPCI_PLOVILA_ID, K.ID AS ID_LASTNIKA, K.IME AS KUPCI_IME, K.PRIIMEK AS KUPCI_PRIIMEK, K.NASLOV AS KUPCI_NASLOV, K.MESTO AS KUPCI_MESTO, K.POSTA AS KUPCI_POSTA, K.VRSTA AS KUPCI_VRSTA,
  K.NDRZAVA AS KUPCI_NDRZAVA, K.EMAIL AS KUPCI_EMAIL, K.TELEFON_1 AS KUPCI_TELEFON_1, K.YACHT_CLUB_ID, K.ID_MEMBER AS KUPCI_ID_MEMBER, K.ACT AS KUPCI_ACT, K.TELEX AS KUPCI_TELEX, K.GSM AS KUPCI_GSM, K.TELEFON_2 AS KUPCI_TELEFON_2, 
  K.DAVCNA_STEVILKA AS KUPCI_DAVCNA_STEVILKA, K.VALUTA_PLACILA AS KUPCI_VALUTA_PLACILA, K.SALDAKONTI_SIT AS KUPCI_SALDAKONTI_SIT, K.SALDAKONTI_DEM AS KUPCI_SALDAKONTI_DEM, K.SALDAKONTI_KOM AS KUPCI_SALDAKONTI_KOM, K.INT_CODE AS KUPCI_INT_CODE,
  K.VEHICLE_REGISTRATION_NUM AS KUPCI_VEHICLE_REGISTRATION_NUM, K.MANAGER AS KUPCI_MANAGER, K.N_DOKUMENTA AS KUPCI_N_DOKUMENTA,
 (CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (K.IME || ' ' || K.PRIIMEK) ELSE (K.PRIIMEK || ' ' || K.IME) END) AS OWNER,
  P.ID AS PLOVILA_ID, P.IME AS PLOVILA_IME, P.REGISTRSKA_N AS PLOVILA_REGISTRSKA_N, P.MODEL AS PLOVILA_MODEL, P.NTIP AS PLOVILA_NTIP, P.NZASTAVA AS PLOVILA_NZASTAVA, P.TRENUTNO_DO, P.POGODBA_DO, P.DOLZINA AS PLOVILA_DOLZINA, 
  P.SIRINA AS PLOVILA_SIRINA, P.GREZ AS PLOVILA_GREZ, P.BOOKING AS PLOVILA_BOOKING, P.ACT AS PLOVILA_ACT,
  CASE WHEN BERTH_TEMP.ID_PRIVEZ IS NOT NULL THEN BERTH_TEMP.OBJEKT ELSE P.TRENUTNI_OBJEKT_PRIVEZA END AS TRENUTNI_OBJEKT_PRIVEZA,
  CASE WHEN BERTH_TEMP.ID_PRIVEZ IS NOT NULL THEN BERTH_TEMP.N_PRIVEZA ELSE P.TRENUTNA_N_PRIVEZA END AS TRENUTNA_N_PRIVEZA,
  CASE WHEN BERTH_CONTRACT.ID_PRIVEZ IS NOT NULL THEN BERTH_CONTRACT.OBJEKT ELSE P.POGODBENI_OBJEKT_PRIVEZA END AS POGODBENI_OBJEKT_PRIVEZA,
  CASE WHEN BERTH_CONTRACT.ID_PRIVEZ IS NOT NULL THEN BERTH_CONTRACT.N_PRIVEZA ELSE P.POGODBENA_N_PRIVEZA END AS POGODBENA_N_PRIVEZA,
  NNUSR.USER_ AS KUPCI_MANAGER_USER, VPT.ID_PRIVEZ AS ID_PRIVEZ_TEMP, VPT.NNLOCATION_ID AS ID_LOCATION_TEMP, VPC.ID_PRIVEZ AS ID_PRIVEZ_CONTRACT, VPC.NNLOCATION_ID AS ID_LOCATION_CONTRACT
  FROM KUPCI K
  LEFT OUTER JOIN PLOVILA P ON P.ID_LASTNIKA = K.ID
  LEFT OUTER JOIN NUSER NNUSR ON K.MANAGER = NNUSR.NUSER
  LEFT OUTER JOIN (SELECT PRIVEZI.*, RANK() OVER (PARTITION BY ID_PLOVILA ORDER BY ID_PRIVEZI ASC) RNK FROM PRIVEZI WHERE ID_POGODBE IS NULL) PRIVEZI_TEMP ON (PRIVEZI_TEMP.ID_PLOVILA = P.ID AND PRIVEZI_TEMP.RNK = 1)
  LEFT OUTER JOIN NNPRIVEZ BERTH_TEMP ON BERTH_TEMP.ID_PRIVEZ = PRIVEZI_TEMP.ID_PRIVEZ
  LEFT OUTER JOIN (SELECT PRIVEZI.*, RANK() OVER (PARTITION BY ID_PLOVILA ORDER BY ID_PRIVEZI DESC) RNK FROM PRIVEZI WHERE ID_POGODBE IS NOT NULL) PRIVEZI_CONTRACT ON (PRIVEZI_CONTRACT.ID_PLOVILA = P.ID AND PRIVEZI_CONTRACT.RNK = 1)
  LEFT OUTER JOIN NNPRIVEZ BERTH_CONTRACT ON BERTH_CONTRACT.ID_PRIVEZ = PRIVEZI_CONTRACT.ID_PRIVEZ
  LEFT OUTER JOIN V_PRIVEZ_LOCATION VPT ON VPT.ID_PRIVEZ = BERTH_TEMP.ID_PRIVEZ
  LEFT OUTER JOIN V_PRIVEZ_LOCATION VPC ON VPC.ID_PRIVEZ = BERTH_CONTRACT.ID_PRIVEZ
);

ALTER TABLE NNVRSKUP
ADD HRI_CODE_COUNTER VARCHAR2(50 CHAR);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1510, SYSDATE, '5.5', 1430, 'HRI code counter')
;