ALTER TABLE FB_LOCATION
ADD ID_FB_TABLE NUMBER;

CREATE TABLE FB_VIEW_GROUP (
ID_FB_VIEW_GROUP NUMBER NOT NULL,
ID_FB_LOCATION NUMBER,
DESCRIPTION VARCHAR2(200 CHAR),
SORT NUMBER,
ACTIVE VARCHAR2(1 CHAR),
CONSTRAINT FB_VIEW_GROUP_PK PRIMARY KEY (ID_FB_VIEW_GROUP),
CONSTRAINT FB_VIEW_GROUP_LOCATION_FK FOREIGN KEY (ID_FB_LOCATION) REFERENCES FB_LOCATION(ID_FB_LOCATION)
);

ALTER TABLE FB_VIEW_GROUP
ADD COLOR VARCHAR2(20 CHAR);

CREATE INDEX IX_FB_V_GROUP_ID_FB_LOCATION ON FB_VIEW_GROUP (ID_FB_LOCATION);

CREATE SEQUENCE FB_VIEW_GROUP_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE TABLE FB_VIEW_PRODUCT (
ID_FB_VIEW_PRODUCT NUMBER NOT NULL,
ID_FB_VIEW_GROUP NUMBER,
ID_ARTIKEL NUMBER,
SORT NUMBER,
CONSTRAINT FB_VIEW_PRODUCT_PK PRIMARY KEY (ID_FB_VIEW_PRODUCT),
CONSTRAINT FB_VIEW_PRODUCT_GROUP_FK FOREIGN KEY (ID_FB_VIEW_GROUP) REFERENCES FB_VIEW_GROUP(ID_FB_VIEW_GROUP),
CONSTRAINT FB_VIEW_PRODUCT_ARTICLE_FK FOREIGN KEY (ID_ARTIKEL) REFERENCES S_ARTIKLI(ID_ARTIKEL)
);

CREATE INDEX IX_FB_V_PRODUCT_ID_FB_V_GROUP ON FB_VIEW_PRODUCT (ID_FB_VIEW_GROUP);
CREATE INDEX IX_FB_V_PRODUCT_ID_ARTIKEL ON FB_VIEW_PRODUCT (ID_ARTIKEL);

CREATE SEQUENCE FB_VIEW_PRODUCT_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE OR REPLACE VIEW V_FB_VIEW_PRODUCT AS (
SELECT FP.ID_FB_VIEW_PRODUCT, FP.ID_FB_VIEW_GROUP, FP.ID_ARTIKEL, FP.SORT, 
FG.DESCRIPTION AS GROUP_DESCRIPTION, S.NAZIV1 AS PRODUCT_DESCRIPTION
FROM FB_VIEW_PRODUCT FP
LEFT OUTER JOIN FB_VIEW_GROUP FG ON FG.ID_FB_VIEW_GROUP = FP.ID_FB_VIEW_GROUP
LEFT OUTER JOIN S_ARTIKLI S ON S.ID_ARTIKEL = FP.ID_ARTIKEL
);

DROP VIEW V_NAJAVE;

CREATE OR REPLACE VIEW V_NAJAVE AS (
SELECT DISTINCT N.ID AS ID_NAJAVE, N.ID_DVIGALA, N.ID_LASTNIKA, N.ID_PLOVILA, N.ID_STORITVE, N.SIFRA_DVIGALA, N.SIFRA_STORITVE, N.VRSTA_NAJAVE, N.DATUM, N.URA_OD, N.URA_DO, N.DATUM_OD, N.DATUM_DO,
N.LASTNIK_OBVESCEN, N.ID_PRIVEZ, NP.N_PRIVEZA, N.KOMENTAR, N.NAVODILO, N.ID_DN, N.STATUS, N.NNLOCATION_ID, N.MARINA, N.BERTH, N.QUANTITY, N.SIZE_OF_FILL, N.FILL_LOCATION, N.PONUDBA, N.ID_QUESTIONNAIRE_ANSWER_MASTER,
NS.OPIS AS STATUS_OPIS, NS.INTERNI_OPIS AS STATUS_INTERNI_OPIS, NS.COLOR AS STATUS_COLOR, NS.TEXT_COLOR AS STATUS_TEXT_COLOR,
VN.LIFT_SERVICE AS VRSTA_NAJAVE_LIFT_SERVICE, VN.LAUNCH_SERVICE AS VRSTA_NAJAVE_LAUNCH_SERVICE, VN.ID_QUESTIONNAIRE AS VRSTA_NAJAVE_ID_QUESTIONNAIRE,
S.COMPLETE, M.OPIS AS STORITEV, M.CRANE_PLANNER_COLOR AS SERVICE_COLOR, P.IME AS IME_PLOVILA, P.TEZA AS TEZA_PLOVILA, P.DATUM_ZAVAROVANJE AS PLOVILA_DATUM_ZAVAROVANJE, P.N_ZAVAROVALNE_POLICE AS PLOVILA_N_ZAVAROVALNE_POLICE, P.TRENUTNA_N_PRIVEZA AS PLOVILA_TRENUTNA_N_PRIVEZA,
NVL(K.PRIIMEK, '') || ' ' || NVL(K.IME, '') AS LASTNIK, K.PRIIMEK AS KUPCI_PRIIMEK, K.IME AS KUPCI_IME,
ND.OPIS AS NNDVIGAL_OPIS, ND.INTERNI_OPIS AS NNDVIGAL_INTERNI_OPIS, ND.NOSILNOST AS NNDVIGAL_NOSILNOST, ND.COLOR AS NNDVIGAL_COLOR, ND.NAME_BUILD_INSTRUCTION AS NNDVIGAL_NAME_BUILD_INSTR,
MD.DATUM_DN AS M_DE_NA_DATUM_DN, MD.TERMIN_DO AS M_DE_NA_TERMIN_DO, MD.STEVILKA AS M_DE_NA_STEVILKA, MD.KOMENTAR AS M_DE_NA_KOMENTAR, MD.ID_OWNER_SIGNATURE AS M_DE_NA_ID_OWNER_SIGNATURE,
(SELECT LISTAGG(KUP.IME,', ') WITHIN GROUP(ORDER BY KUP.IME ASC) BOAT_CONTACT_NAMES FROM KONT_OSB_PLOVILA KOP, KUPCI KUP WHERE KOP.ID_OSEBE = KUP.ID AND KOP.ID_PLOVILA = N.ID_PLOVILA) AS BOAT_CONTACT_NAMES,
CASE WHEN (SELECT COUNT(*) FROM NAJAVE_SERVICE NS WHERE NS.ID_NAJAVE = N.ID) > 0 THEN 'Y' ELSE 'N' END AS HAS_ADDITIONAL_SERVICES
FROM NAJAVE N
LEFT OUTER JOIN NNAJAVE_STATUS NS ON NS.SIFRA = N.STATUS
LEFT OUTER JOIN VRSTA_NAJAVE VN ON VN.SIFRA = N.VRSTA_NAJAVE
LEFT OUTER JOIN M_NNSTOMAR M ON N.SIFRA_STORITVE = M.SIFRA
LEFT OUTER JOIN PLOVILA P ON N.ID_PLOVILA = P.ID
LEFT OUTER JOIN KUPCI K ON N.ID_LASTNIKA = K.ID
LEFT OUTER JOIN M_STORITVE S ON N.ID_STORITVE = S.ID_STORITVE
LEFT OUTER JOIN NNPRIVEZ NP ON NP.ID_PRIVEZ = N.ID_PRIVEZ
LEFT OUTER JOIN NNDVIGAL ND ON ND.ID = N.ID_DVIGALA
LEFT OUTER JOIN M_DE_NA MD ON MD.ID_DN = N.ID_DN
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1628, SYSDATE, '5.5', 1548, 'FB products')
;