ALTER TABLE SECTION_QUESTION
ADD DISABLE_AFTER_INSERT VARCHAR2(1 CHAR);

ALTER TABLE SECTION_QUESTION
ADD PORTAL VARCHAR2(1 CHAR);

UPDATE SECTION_QUESTION
SET PORTAL = 'Y'
WHERE PORTAL IS NULL AND VISIBLE = 'Y';

ALTER TABLE SECTION_QUESTION_DEFAULT
ADD DISABLE_AFTER_INSERT VARCHAR2(1 CHAR);

ALTER TABLE SECTION_QUESTION_DEFAULT
ADD PORTAL VARCHAR2(1 CHAR);

UPDATE SECTION_QUESTION_DEFAULT
SET PORTAL = 'Y'
WHERE PORTAL IS NULL AND VISIBLE = 'Y';

ALTER TABLE QUESTIONNAIRE
ADD MANUAL_OWNER_BOAT_INSERT VARCHAR2(1 CHAR);

UPDATE QUESTIONNAIRE
SET MANUAL_OWNER_BOAT_INSERT = 'Y'
WHERE MANUAL_OWNER_BOAT_INSERT IS NULL;

ALTER TABLE QUESTIONNAIRE
ADD ID_WEB_PAGE_TEMPLATE_SUCCESS NUMBER;

ALTER TABLE QUESTIONNAIRE
ADD ID_EMAIL_TEMPLATE NUMBER;

DROP VIEW V_SECTION_QUESTION;

CREATE OR REPLACE VIEW V_SECTION_QUESTION AS (
	SELECT SQ.ID, SQ.ID_SECTION, SQ.ID_QUESTION, SQ.ID_QUESTIONNAIRE, SQ.SORT, SQ.INPUT_REQUIRED, SQ.VISIBLE, SQ.REDIRECT_URL, SQ.DISABLE_AFTER_INSERT, SQ.PORTAL,
  QS.SORT AS SECTION_SORT, Q.NAME AS QUESTIONNAIRE_NAME, Q.TYPE AS QUESTIONNAIRE_TYPE, Q.USER_LOG AS QUESTIONNAIRE_USER_LOG, 
  SC.NAME AS SECTION_NAME, QU.NAME AS QUESTION_NAME, QU.QUESTION AS QUESTION_QUESTION, QU.TYPE AS QUESTION_TYPE, QU.SOURCE_TABLE_NAME AS QUESTION_SOURCE_TABLE_NAME, QU.CONVERSION_TYPE AS QUESTION_CONVERSION_TYPE,
  QU.STRING_VALUE AS QUESTION_STRING_VALUE, QU.NUMBER_VALUE AS QUESTION_NUMBER_VALUE, QU.DATE_VALUE AS QUESTION_DATE_VALUE, QU.TAG_ID AS QUESTION_TAG_ID, QU.BUTTON_ACTION_TYPE AS QUESTION_BUTTON_ACTION_TYPE
	FROM SECTION_QUESTION SQ
  LEFT OUTER JOIN QUESTIONNAIRE Q ON Q.ID = SQ.ID_QUESTIONNAIRE
  LEFT OUTER JOIN SECTION SC ON SC.ID = SQ.ID_SECTION
  LEFT OUTER JOIN QUESTION QU ON QU.ID = SQ.ID_QUESTION
  LEFT OUTER JOIN QUESTIONNAIRE_SECTION QS ON QS.ID_QUESTIONNAIRE = Q.ID AND QS.ID_SECTION = SC.ID
);

DROP VIEW V_QUESTIONNAIRE_ANSWER_MASTER;

CREATE OR REPLACE VIEW V_QUESTIONNAIRE_ANSWER_MASTER AS (
	SELECT QAM.ID, QAM.ID_MARINA_EVENT, QAM.ID_QUESTIONNAIRE, QAM.STATUS, QAM.ID_LASTNIKA, QAM.ID_PLOVILA, QAM.DATE_CREATED, QAM.ID_DN,
  QU.NAME AS QUESTIONNAIRE_NAME, QU.TYPE AS QUESTIONNAIRE_TYPE, QU.ID_PRINT_MODULE AS QUESTIONNAIRE_ID_PRINT_MODULE, QT.OPIS AS QUESTIONNAIRE_TYPE_DESCRIPTION, PL.IME AS PLOVILA_IME,
  (CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (KU.IME || ' ' || KU.PRIIMEK) ELSE (KU.PRIIMEK || ' ' || KU.IME) END) AS OWNER,
  (CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (KUPAR.IME || ' ' || KUPAR.PRIIMEK) ELSE (KUPAR.PRIIMEK || ' ' || KUPAR.IME) END) AS OWNER_PARENT
	FROM QUESTIONNAIRE_ANSWER_MASTER QAM
  LEFT OUTER JOIN QUESTIONNAIRE QU ON QU.ID = QAM.ID_QUESTIONNAIRE
  LEFT OUTER JOIN QUESTIONNAIRE_TYPE QT ON QT.ID = QU.TYPE
  LEFT OUTER JOIN KUPCI KU ON KU.ID = QAM.ID_LASTNIKA
  LEFT OUTER JOIN KUPCI KUPAR ON KUPAR.ID = QAM.ID_LASTNIKA_PARENT
  LEFT OUTER JOIN PLOVILA PL ON PL.ID = QAM.ID_PLOVILA
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1719, SYSDATE, '5.5', 1639, 'Questionnaires')
;