DROP VIEW V_REZERVAC;

CREATE VIEW V_REZERVAC AS (
SELECT ID, DATUM_REZERVACIJE, DATUM_DO, ID_LASTNIKA, ID_PLOVILA, NAZIV, PLOVILO, NOBJEKT, PRIVEZ FROM REZERVAC WHERE STORNO IS NULL
UNION ALL
SELECT 0 as ID, NVL(P.TRENUTNO_DO, NVL(POG.DATUM_ZACETKA, SYSDATE)) AS DATUM_REZERVACIJE, 
NVL(POG.DATUM_KONCA, SYSDATE+365) AS DATUM_DO, 
POG.ID_LASTNIKA, POG.ID_PLOVILA, K.PRIIMEK AS NAZIV, P.IME AS PLOVILO, POG.OBJEKT AS NOBJEKT, POG.N_PRIVEZA AS PRIVEZ
FROM M_POGODBE POG JOIN PLOVILA P ON POG.ID_PLOVILA=P.ID
JOIN KUPCI K ON POG.ID_LASTNIKA=K.ID
WHERE POG.STATUS IN ('O', 'A') 
UNION ALL
SELECT -1 as ID, SYSDATE AS DATUM_REZERVACIJE, 
NVL(P.TRENUTNO_DO, SYSDATE) AS DATUM_DO, 
P.ID_LASTNIKA, P.ID AS ID_PLOVILA, K.PRIIMEK AS NAZIV, P.IME AS PLOVILO, P.TRENUTNI_OBJEKT_PRIVEZA AS NOBJEKT, P.TRENUTNA_N_PRIVEZA AS PRIVEZ
FROM PLOVILA P JOIN PRIVEZI PR ON PR.ID_PLOVILA=P.ID
JOIN KUPCI K ON P.ID_LASTNIKA=K.ID
WHERE (PR.ID_POGODBE IS NULL) AND (P.ID NOT IN (SELECT ID_PLOVILA FROM M_POGODBE WHERE STATUS IN ('O', 'A')))
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (270, SYSDATE, '5.5', 190, 'Rezervac');