CREATE TABLE NNPRIVEZ_SVG(
  ID_PRIVEZ NUMBER NOT NULL PRIMARY KEY ENABLE,
  TRANS_X NUMBER NOT NULL,
  TRANS_Y NUMBER NOT NULL,
  ROT_DEGREES NUMBER NOT NULL
);

CREATE TABLE PLOVILA_SVG (
  ID NUMBER NOT NULL,
  PRISOTNO NUMBER NOT NULL,
  ID_PLOVILA NUMBER NOT NULL,
  TRANS_X NUMBER NOT NULL,
  TRANS_Y NUMBER NOT NULL,
  ROT_DEGREES NUMBER NOT NULL,
  CONSTRAINT PLOVILA_SVG_PK PRIMARY KEY(
    ID, PRISOTNO, ID_PLOVILA 
  )
  ENABLE 
);

CREATE OR REPLACE VIEW V_REZERVAC_SVG AS (
SELECT DISTINCT V.ID, V.PRISOTNO, V.DATUM_REZERVACIJE, V.DATUM_DO, V.ID_LASTNIKA, V.ID_PLOVILA, V.ID_PRIVEZ, NVL(V.PLOVILO, NVL(V.NAZIV, 'REZ')) AS IME_PLOVILA, NVL(V.NTIP, 'V') AS TIP_PLOVILA, 
  NVL(V.DOLZINA, 10) AS DOLZINA_PLOVILA, NVL(V.SIRINA, 3) AS SIRINA_PLOVILA, PS.TRANS_X AS TRANS_X_PLOVILA, PS.TRANS_Y AS TRANS_Y_PLOVILA, PS.ROT_DEGREES AS ROT_DEGREES_PLOVILA,
  NVL(N.DOLZINA, 10) AS DOLZINA_PRIVEZA, NVL(N.SIRINA, 5) AS SIRINA_PRIVEZA, NS.TRANS_X AS TRANS_X_PRIVEZA, NS.TRANS_Y AS TRANS_Y_PRIVEZA, NS.ROT_DEGREES AS ROT_DEGREES_PRIVEZA, N.OBJEKT
FROM V_REZERVAC V 
JOIN NNPRIVEZ N ON N.ID_PRIVEZ = V.ID_PRIVEZ
JOIN NNPRIVEZ_SVG NS ON NS.ID_PRIVEZ = V.ID_PRIVEZ
LEFT JOIN PLOVILA_SVG PS ON PS.ID = V.ID AND PS.PRISOTNO = V.PRISOTNO AND PS.ID_PLOVILA = V.ID_PLOVILA
);


insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (305, SYSDATE, '5.5', 225, 'PODPORA SVG');