alter table nnvrskup add 
(note varchar2(500 char),
active varchar2(1 char));

INSERT INTO SIFRANT (STRINGTABLE, ID_STRING, KODA_SIFRANT, ID_STR_LABEL, NAZIV_SIFRANT, PRIVZETA_VR, INTERNI_OPIS) 
VALUES ('NNVRSKUP', 'ACTIVE', 'Y', 'Active', 'YES', 'N', 'YES');

INSERT INTO SIFRANT (STRINGTABLE, ID_STRING, KODA_SIFRANT, ID_STR_LABEL, NAZIV_SIFRANT, PRIVZETA_VR, INTERNI_OPIS) 
VALUES ('NNVRSKUP', 'ACTIVE', 'N', 'Active', 'NO', 'N', 'NO');

create table nnatributi
(sifra varchar2(3 char),
opis varchar2(50 char),
interni_opis varchar2 (50 char),
tip varchar2(20 char),
active varchar2(1 char),
constraint NNATRIBUTI_PK primary key(SIFRA)
);

INSERT INTO SIFRANT (STRINGTABLE, ID_STRING, KODA_SIFRANT, ID_STR_LABEL, NAZIV_SIFRANT, PRIVZETA_VR, INTERNI_OPIS) 
VALUES ('NNATRIBUTI', 'ACTIVE', 'Y', 'Active', 'YES', 'Y', 'YES');

INSERT INTO SIFRANT (STRINGTABLE, ID_STRING, KODA_SIFRANT, ID_STR_LABEL, NAZIV_SIFRANT, PRIVZETA_VR, INTERNI_OPIS) 
VALUES ('NNATRIBUTI', 'ACTIVE', 'N', 'Active', 'NO', 'Y', 'NO');

INSERT INTO SIFRANT (STRINGTABLE, ID_STRING, KODA_SIFRANT, ID_STR_LABEL, NAZIV_SIFRANT, PRIVZETA_VR, INTERNI_OPIS) 
VALUES ('NNATRIBUTI', 'TIP', 'BOOLEAN', 'Type', 'BOOLEAN', 'BOOLEAN', 'BOOLEAN');
INSERT INTO SIFRANT (STRINGTABLE, ID_STRING, KODA_SIFRANT, ID_STR_LABEL, NAZIV_SIFRANT, PRIVZETA_VR, INTERNI_OPIS) 
VALUES ('NNATRIBUTI', 'TIP', 'NUMBER', 'Type', 'NUMBER', 'BOOLEAN', 'NUMBER');
INSERT INTO SIFRANT (STRINGTABLE, ID_STRING, KODA_SIFRANT, ID_STR_LABEL, NAZIV_SIFRANT, PRIVZETA_VR, INTERNI_OPIS) 
VALUES ('NNATRIBUTI', 'TIP', 'STRING', 'Type', 'STRING', 'BOOLEAN', 'STRING');


insert into nnatributi values
( 'COR', 'Corporate member', null, 'BOOLEAN', 'Y');
insert into nnatributi values
( 'EF1', 'Entrance fee for first nominee', null, 'NUMBER', 'Y');
insert into nnatributi values
( 'EF2', 'Entrance fee for additional nominee', null, 'NUMBER', 'Y');
insert into nnatributi values
( 'MF1', 'Monthly fee for first nominee', null, 'NUMBER', 'Y');
insert into nnatributi values
( 'MF2', 'Monthly fee for additional nominees', null, 'NUMBER', 'Y');
insert into nnatributi values
( 'REN', 'Renomination fee', null, 'NUMBER', 'Y');
insert into nnatributi values
( 'FBM', 'FB minimum', null, 'NUMBER', 'Y');
insert into nnatributi values
( 'BUL', 'Building levy', null, 'NUMBER', 'Y');
 insert into nnatributi values
( 'AGM', 'Age minimum', null, 'NUMBER', 'Y');
insert into nnatributi values
( 'AGX', 'Age maximum', null, 'NUMBER', 'Y');
insert into nnatributi values
( 'HBE', 'Hire Berths', null, 'BOOLEAN', 'Y');
insert into nnatributi values
( 'HMO', 'Hire Moorings', null, 'BOOLEAN', 'Y');
insert into nnatributi values
( 'HHS', 'Hire Hardstand', null, 'BOOLEAN', 'Y');
insert into nnatributi values
( 'HDS', 'Hire Dinghy slot', null, 'BOOLEAN', 'Y');
insert into nnatributi values
( 'ABS', 'Absent member', null, 'BOOLEAN', 'Y');
insert into nnatributi values
( 'VOT', 'Voting right', null, 'BOOLEAN', 'Y');
insert into nnatributi values
( 'COM', 'Committee member', null, 'BOOLEAN', 'Y');
insert into nnatributi values
( 'TMO', 'Membership Term - months', null, 'NUMBER', 'Y');
insert into nnatributi values
( 'INS', 'Entrance fee in instalments', null, 'BOOLEAN', 'Y');
insert into nnatributi values
( 'NOM', 'Max. no. of nominees', null, 'NUMBER', 'Y');
insert into nnatributi values
( 'GRP', 'Grace period for next nomination - months', null, 'NUMBER', 'Y');
insert into nnatributi values
( 'DEP', 'Dependants', null, 'BOOLEAN', 'Y');

insert into nnatributi values
( 'ACS', 'Auto. created services', null, 'BOOLEAN', 'Y');

create table nnvrskup_atributi
(id integer not null,
valid_from date not null,
sifra_atribut varchar2(3 char) not null,
sifra_vrskup varchar2(3 char) not null,
cvrednost varchar2(50 char),
nvrednost number,
dvrednost date,
user_created varchar2(20 char),
time_created date,
user_changed varchar2(20 char),
time_changed date,
constraint nnvrskup_atributi_pk primary key(id)
);

create sequence nnvrskup_atributi_seq 
minvalue 1 maxvalue 9999999999999999999999999999 increment by 1 start with 1 nocache;

create unique index nnatributi_ix1 on nnvrskup_atributi (sifra_vrskup, sifra_atribut, valid_from);

INSERT INTO DATA_KEYS(IZVOR_TABELA, IZVOR_POLJE, IME_TABELE, IME_POLJA, TIP_POLJA, POLJE_OPIS, TIP_OPIS)
VALUES
('NNVRSKUP_ATRIBUTI', 'SIFRA_ATRIBUT', 'NNATRIBUTI', 'SIFRA', 'S', 'OPIS', 'S');

INSERT INTO DATA_KEYS(IZVOR_TABELA, IZVOR_POLJE, IME_TABELE, IME_POLJA, TIP_POLJA, POLJE_OPIS, TIP_OPIS)
VALUES
('NNVRSKUP_ATRIBUTI', 'SIFRA_VRSKUP', 'NNVRSKUP', 'SIFRA', 'S', 'OPIS', 'S');

CREATE TABLE NNMARSTAT (
SIFRA VARCHAR2(3 CHAR) NOT NULL,
OPIS VARCHAR2(30 CHAR),
INTERNI_OPIS VARCHAR2(30 CHAR),
AKT VARCHAR2 (1 CHAR),
CONSTRAINT NNMARSTAT_PK PRIMARY KEY(SIFRA)
);

CREATE TABLE NNODNOS (
SIFRA VARCHAR2(3 CHAR) NOT NULL,
OPIS VARCHAR2(30 CHAR),
INTERNI_OPIS VARCHAR2(30 CHAR),
AKT VARCHAR2 (1 CHAR),
CONSTRAINT NNODNOS_PK PRIMARY KEY(SIFRA)

);
INSERT INTO NNODNOS VALUES ('P','SPOUSE/PARTNER','SPOUSE/PARTNER','Y');
INSERT INTO NNODNOS VALUES ('C','CHILD','CHILD','Y');

CREATE TABLE NNOBLIGATIONS (
SIFRA VARCHAR2(3 CHAR) NOT NULL,
OPIS VARCHAR2(30 CHAR),
INTERNI_OPIS VARCHAR2(30 CHAR),
AKT VARCHAR2 (1 CHAR),
CONSTRAINT NNOBLIGATIONS_PK PRIMARY KEY(SIFRA)
);

CREATE TABLE NNSPONSOR (
SIFRA VARCHAR2(3 CHAR) NOT NULL,
OPIS VARCHAR2(30 CHAR),
INTERNI_OPIS VARCHAR2(30 CHAR),
AKT VARCHAR2 (1 CHAR),
CONSTRAINT NNSPONSOR_PK PRIMARY KEY(SIFRA)
);
INSERT INTO NNSPONSOR VALUES ('P','PROPOSER','PROPOSER','Y');
INSERT INTO NNSPONSOR VALUES ('S','SECONDER','SECONDER','Y');


CREATE TABLE NNCOMMITTEES (
SIFRA VARCHAR2(3 CHAR) NOT NULL,
OPIS VARCHAR2(30 CHAR),
INTERNI_OPIS VARCHAR2(30 CHAR),
AKT VARCHAR2 (1 CHAR),
CONSTRAINT NNCOMMITTEES_PK PRIMARY KEY(SIFRA)
);

CREATE TABLE NNCOMMITTEE_POS (
SIFRA VARCHAR2(3 CHAR) NOT NULL,
OPIS VARCHAR2(30 CHAR),
INTERNI_OPIS VARCHAR2(30 CHAR),
AKT VARCHAR2 (1 CHAR),
CONSTRAINT NNCOMMITTEE_POS_PK PRIMARY KEY(SIFRA)
);

CREATE TABLE APPLICATION_FORM (
ID NUMBER NOT NULL,
ID_KUPCA NUMBER,
MEMBER_TYPE VARCHAR2(3 CHAR),
STATUS VARCHAR2 (1 CHAR) NOT NULL,
DATE_RECEIVED DATE,
DATE_APPROVE_REJECT DATE,
BOAT_EXPERIENCE VARCHAR2(500 CHAR),
OTHER_YC_MEMBER VARCHAR2(1 CHAR),
WATER_SPORTS VARCHAR2(500 CHAR),
HAS_BOAT VARCHAR2(1 CHAR),
SOLE_OWNER VARCHAR2(1 CHAR),
N_PARTNERS NUMBER,
USE_MARINA VARCHAR2(1 CHAR),
LIVE_ON_BOAT VARCHAR2(1 CHAR),
OTHER_HKYC_MEMBER VARCHAR2(1 CHAR),
CLUB_COMITEE VARCHAR2(1 CHAR),
REASON_JOIN VARCHAR2(500 CHAR),
ASSIST_CLUB VARCHAR2(500 CHAR),
SUPPORT_CLUB VARCHAR2(500 CHAR),
NR_VOTING_RIGHTS NUMBER,
DATE_CREATED DATE,
USER_CREATED VARCHAR2(20 CHAR),
DATE_CHANGED DATE,
USER_CHANGED VARCHAR2(20 CHAR),
CONSTRAINT APPLICATION_FORM_PK PRIMARY KEY(ID)
);

CREATE SEQUENCE APPLICATION_FORM_SEQ START WITH 1 maxvalue 9999999999999999999999999999 increment by 1 NOCYCLE NOCACHE;

CREATE TABLE MEMB_OBLIGATIONS (
ID INTEGER NOT NULL,
ID_KUPCA NUMBER NOT NULL,
SIFRA_OBVEZNOSTI VARCHAR2(3 CHAR),
AKT VARCHAR2 (1 CHAR),
CONSTRAINT MEMB_OBLIGATIONS_PK PRIMARY KEY(ID)
);

CREATE SEQUENCE MEMB_OBLIGATIONS_SEQ START WITH 1 maxvalue 9999999999999999999999999999 increment by 1 NOCYCLE NOCACHE;

CREATE TABLE MEMB_SPONSORSHIP (
ID INTEGER NOT NULL,
ID_KUPCA NUMBER NOT NULL,
ID_KUPCA_APPLICANT NUMBER NOT NULL,
DATE_SPONSORSHIP DATE,
SIFRA_SPONZORSTVA VARCHAR2(1 CHAR),
N_MONTHS NUMBER,
N_YEARS NUMBER,
AKT VARCHAR2 (1 CHAR),
CONSTRAINT MEMB_SPONSORSHIP_PK PRIMARY KEY(ID)
);

CREATE SEQUENCE MEMB_SPONSORSHIP_SEQ START WITH 1 maxvalue 9999999999999999999999999999 increment by 1 NOCYCLE NOCACHE;

CREATE TABLE MEMB_COMMITTEES (
ID INTEGER NOT NULL,
ID_KUPCA NUMBER NOT NULL,
SIFRA_COMMITTEE VARCHAR2(3 CHAR) NOT NULL,
SIFRA_COMM_POS VARCHAR2(3 CHAR),
DATE_COMMITTEE_FROM DATE,
DATE_COMMITTEE_TO DATE,
CONSTRAINT MEMB_COMITTEES_PK PRIMARY KEY(ID)
);

CREATE SEQUENCE MEMB_COMMITTEES_SEQ START WITH 1 maxvalue 9999999999999999999999999999 increment by 1 NOCYCLE NOCACHE;

ALTER TABLE KUPCI ADD ID_MEMBER VARCHAR2(20 CHAR);
ALTER TABLE KUPCI ADD START_YC_MEMBERSHIP DATE;
ALTER TABLE KUPCI ADD ID_COMPANY NUMBER;
ALTER TABLE KUPCI ADD FACEBOOK VARCHAR2(50 CHAR);
ALTER TABLE KUPCI ADD TWITTER VARCHAR2(50 CHAR);
ALTER TABLE KUPCI ADD LINKEDIN VARCHAR2(50 CHAR);
ALTER TABLE KUPCI ADD WHATSAPP VARCHAR2(50 CHAR);
ALTER TABLE KUPCI ADD SCHOOL VARCHAR2(50 CHAR);
ALTER TABLE KUPCI ADD ID_PLACNIKA NUMBER;
ALTER TABLE KUPCI ADD EMAIL_IZPISEK VARCHAR2(150 CHAR);
ALTER TABLE KUPCI ADD EMAIL_PROMO VARCHAR2(150 CHAR);

ALTER TABLE KONT_OSB_LASTNIK ADD ODNOS VARCHAR2(3 CHAR);
ALTER TABLE KONT_OSB_LASTNIK ADD DEPANDENT VARCHAR2(1 CHAR);
ALTER TABLE KONT_OSB_LASTNIK ADD HAS_MEMB_CARD VARCHAR2(1 CHAR);
ALTER TABLE KONT_OSB_LASTNIK ADD CAN_SIGN_INVOICE VARCHAR2(1 CHAR);
ALTER TABLE KONT_OSB_LASTNIK ADD CREW_ID VARCHAR2(100 CHAR);

insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(441, SYSDATE, '5.5', 361, 'Membership ifranti');