Insert into PRINT_MODULI (MODULE_ID,OPIS,CR_FILE,INTERNI_OPIS) values ('FISCAL_COPIES','Kopije davnih raunov','C-kopija_racuna.rpt','Fiscal copies of invoices');

DROP VIEW V_RACUN;

CREATE VIEW V_RACUN AS 
SELECT S.ID_SALDKONT AS ID_RACUN, S.ID_SALDKONT_FISC, SK.F_DAVCNA_STEVILKA AS OIB, 1 AS OBVEZATNIK, S.DATUM_KREIRANJA AS CAS, 'P' AS SLIJEDNOST, 
S.STEVILKA AS BROJ_RACUNA, 
S.NSTEVILKA AS NBROJ_RACUNA, S.LOKAC AS POSLOVNI_PROSTOR, 1 AS NAPLATNI_UREDAJ, S.BLAGAJNA AS EL_NAPRAVA, S.ZA_PLACILO AS IZNOS, OP1.OPROSCENO, ND1.NEOBDAVCENO, S.ZNESEK_PLACILA AS PLACILO,
(CASE PL.PLACIL WHEN 1 THEN (CASE NP.ID_CARDS WHEN 'GOD' THEN 'G' WHEN 'GOT' THEN 'G' WHEN 'KAR' THEN 'K' WHEN 'CEK' THEN 'C' ELSE 'O' END) ELSE 'O' END) AS NACIN_PLACANJA , 
S.GOVERNMENT AS GOVERMENT, S.GOVERNMENT_CODE AS GOVERMENT_CODE, S.PARAGON_ST AS PARAGON_RACUN, U.DAVCNA_ST AS OIB_DJELATNIKA, R.STORNONR AS ID_STORNO, COALESCE(SAKO.AKONTACIJE, 0) AS AKONTACIJE, 2 AS VERZIJA
FROM SALDKONT_FISC S
JOIN SALDKONT R ON S.ID_SALDKONT=R.ID_SALDKONT 
JOIN SALDKONT_KUPEC SK ON R.ID_SALDKONT=SK.ID_SALDKONT
JOIN NUSER U ON U.NUSER=S.USER_KREIRANJA
LEFT OUTER JOIN EXCHANGE E ON R.ID_EXCHANGE=E.ID
LEFT OUTER JOIN (SELECT ID_MENJAVE, ID_CARDS FROM MONEY WHERE ROWNUM=1) NP ON E.ID=NP.ID_MENJAVE
LEFT OUTER JOIN (SELECT ID_MENJAVE, COUNT(*) AS PLACIL FROM MONEY GROUP BY ID_MENJAVE) PL ON E.ID=PL.ID_MENJAVE
LEFT OUTER JOIN (SELECT RD1.ID_SALDKONT, SUM(RD1.ZNESEK) AS OPROSCENO FROM RACUN_DATA RD1 LEFT OUTER JOIN M_STORITVE S1 ON RD1.ID_STORITVE=S1.ID_STORITVE LEFT OUTER JOIN S_OBRACUN O1 ON RD1.ID_OBRACUN=O1.ID_OBRACUN
WHERE RD1.DAV_STOPNJA=0 AND ((RD1.ID_STORITVE IS NOT NULL AND S1.DAVEK>0) OR (RD1.ID_OBRACUN IS NOT NULL AND O1.DAV_STOPNJA>0)) GROUP BY RD1.ID_SALDKONT) OP1 ON OP1.ID_SALDKONT=R.ID_SALDKONT
LEFT OUTER JOIN (SELECT RD1.ID_SALDKONT, SUM(RD1.ZNESEK) AS NEOBDAVCENO FROM RACUN_DATA RD1 LEFT OUTER JOIN M_STORITVE S1 ON RD1.ID_STORITVE=S1.ID_STORITVE LEFT OUTER JOIN S_OBRACUN O1 ON RD1.ID_OBRACUN=O1.ID_OBRACUN
WHERE RD1.DAV_STOPNJA=0 AND ((RD1.ID_STORITVE IS NOT NULL AND S1.DAVEK=0) OR (RD1.ID_OBRACUN IS NOT NULL AND O1.DAV_STOPNJA=0)) GROUP BY RD1.ID_SALDKONT) ND1 ON ND1.ID_SALDKONT=R.ID_SALDKONT
LEFT OUTER JOIN (SELECT SA.ID_SALDKONT, SUM(SP.ZA_PLACILO) AS AKONTACIJE FROM SALDKONT SA JOIN SALDKONT_ZAP SZ ON SA.ID_SALDKONT=SZ.ID_SALDKONT JOIN SALDKONT SP ON SZ.ID_PL_SALDKONT=SP.ID_SALDKONT AND SP.VRSTA_RACUNA='AKO' GROUP BY SA.ID_SALDKONT) SAKO ON SAKO.ID_SALDKONT=S.ID_SALDKONT
WHERE S.ID_SALDKONT_ZAP IS NULL
UNION
SELECT 0 AS ID_RACUN, S.ID_SALDKONT_FISC, SK.F_DAVCNA_STEVILKA AS OIB, 1 AS OBVEZATNIK, S.DATUM_KREIRANJA AS CAS, 'P' AS SLIJEDNOST, 
S.STEVILKA AS BROJ_RACUNA, 
S.NSTEVILKA AS NBROJ_RACUNA, S.LOKAC AS POSLOVNI_PROSTOR, 1 AS NAPLATNI_UREDAJ, S.BLAGAJNA AS EL_NAPRAVA, S.ZA_PLACILO AS IZNOS, 0 AS OPROSCENO, 0 AS NEOBDAVCENO, S.ZNESEK_PLACILA AS PLACILO,
(CASE PL.PLACIL WHEN 1 THEN (CASE NP.ID_CARDS WHEN 'GOD' THEN 'G' WHEN 'GOT' THEN 'G' WHEN 'KAR' THEN 'K' WHEN 'CEK' THEN 'C' ELSE 'O' END) ELSE 'O' END) AS NACIN_PLACANJA , 
S.GOVERNMENT AS GOVERMENT, S.GOVERNMENT_CODE AS GOVERMENT_CODE, S.PARAGON_ST AS PARAGON_RACUN, U.DAVCNA_ST AS OIB_DJELATNIKA, R.STORNONR AS ID_STORNO, 0 AS AKONTACIJE, 2 AS VERZIJA
FROM SALDKONT_FISC S
JOIN SALDKONT_ZAP Z ON S.ID_SALDKONT_ZAP=S.ID_SALDKONT_ZAP
JOIN SALDKONT R ON R.ID_SALDKONT=Z.ID_PL_SALDKONT 
JOIN SALDKONT_KUPEC SK ON R.ID_SALDKONT=SK.ID_SALDKONT
JOIN NUSER U ON U.NUSER=S.USER_KREIRANJA
LEFT OUTER JOIN EXCHANGE E ON R.ID_EXCHANGE=E.ID
LEFT OUTER JOIN (SELECT ID_MENJAVE, ID_CARDS FROM MONEY WHERE ROWNUM=1) NP ON E.ID=NP.ID_MENJAVE
LEFT OUTER JOIN (SELECT ID_MENJAVE, COUNT(*) AS PLACIL FROM MONEY GROUP BY ID_MENJAVE) PL ON E.ID=PL.ID_MENJAVE
WHERE R.VRSTA_RACUNA IN ('AKO')
;

CREATE VIEW V_RACUN_DDV AS
SELECT ID_RACUN, ID_SALDKONT_FISC, POREZ_STOPA AS STOPNJA_DDV, SUM(OSNOVICA) AS OSNOVA, SUM(POREZ_IZNOS) AS DDV_ZNESEK FROM
(
SELECT  SF.ID_SALDKONT AS ID_RACUN, SF.ID_SALDKONT_FISC, D.STOPNJA AS POREZ_STOPA, SUM(D.ZNESEK_OSNOVE) AS OSNOVICA, SUM(D.ZNESEK_DAVKA) AS POREZ_IZNOS 
FROM SALDKONT_FISC SF
JOIN RACUN_DATA R ON SF.ID_SALDKONT=R.ID_SALDKONT
LEFT OUTER JOIN M_STORITVE_DAVEK D ON R.ID_STORITVE=D.ID_STORITVE  AND D.VRSTA='DDV'
WHERE D.ID_STORITVE IS NOT NULL
GROUP BY SF.ID_SALDKONT, SF.ID_SALDKONT_FISC, D.STOPNJA
union
SELECT SF.ID_SALDKONT AS ID_RACUN, SF.ID_SALDKONT_FISC, R.DAV_STOPNJA AS POREZ_STOPA, SUM(R.NETO) AS OSNOVICA, SUM(R.ZN_DAVKA) AS POREZ_IZNOS 
FROM SALDKONT_FISC SF
JOIN RACUN_DATA R ON SF.ID_SALDKONT=R.ID_SALDKONT
LEFT OUTER JOIN M_STORITVE_DAVEK D ON R.ID_STORITVE=D.ID_STORITVE 
WHERE D.ID_STORITVE IS NULL
GROUP BY SF.ID_SALDKONT, SF.ID_SALDKONT_FISC, R.DAV_STOPNJA
union
SELECT SF.ID_SALDKONT AS ID_RACUN, SF.ID_SALDKONT_FISC, D.STOPNJA AS POREZ_STOPA, SUM(D.ZNESEK_OSNOVE*(-1)) AS OSNOVICA, SUM(D.ZNESEK_DAVKA*(-1)) AS POREZ_IZNOS 
FROM SALDKONT_FISC SF
JOIN SALDKONT SR ON SF.ID_SALDKONT=SR.ID_SALDKONT
JOIN SALDKONT_ZAP SZ ON SR.ID_SALDKONT=SZ.ID_SALDKONT
JOIN SALDKONT SA ON SZ.ID_PL_SALDKONT=SA.ID_SALDKONT
JOIN RACUN_DATA R ON SA.ID_SALDKONT=R.ID_SALDKONT
LEFT OUTER JOIN M_STORITVE_DAVEK D ON R.ID_STORITVE=D.ID_STORITVE  AND D.VRSTA='DDV'
WHERE D.ID_STORITVE IS NOT NULL AND SA.VRSTA_RACUNA='AKO'
GROUP BY SF.ID_SALDKONT, SF.ID_SALDKONT_FISC, D.STOPNJA
union
SELECT SF.ID_SALDKONT AS ID_RACUN, SF.ID_SALDKONT_FISC, R.DAV_STOPNJA AS POREZ_STOPA, SUM(R.NETO*(-1)) AS OSNOVICA, SUM(R.ZN_DAVKA*(-1)) AS POREZ_IZNOS 
FROM SALDKONT_FISC SF
JOIN SALDKONT SR ON SF.ID_SALDKONT=SR.ID_SALDKONT
JOIN SALDKONT_ZAP SZ ON SR.ID_SALDKONT=SZ.ID_SALDKONT
JOIN SALDKONT SA ON SZ.ID_PL_SALDKONT=SA.ID_SALDKONT
JOIN RACUN_DATA R ON SA.ID_SALDKONT=R.ID_SALDKONT
LEFT OUTER JOIN M_STORITVE_DAVEK D ON R.ID_STORITVE=D.ID_STORITVE 
WHERE D.ID_STORITVE IS NULL AND SA.VRSTA_RACUNA='AKO'
GROUP BY SF.ID_SALDKONT, SF.ID_SALDKONT_FISC, R.DAV_STOPNJA
) DDV
GROUP BY ID_RACUN, ID_SALDKONT_FISC, POREZ_STOPA
;

insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(588, SYSDATE, '5.5', 508, 'davne bjagajne');